New gtk+-2.86 requires cairo.h

Do you have a typical platform dependent issue you're battling with ? Ask it here. Make sure you mention your platform, compiler, and wxWidgets version.
Post Reply
spicerun
Earned a small fee
Earned a small fee
Posts: 24
Joined: Thu Aug 04, 2005 8:14 pm
Location: Dallas Texas

New gtk+-2.86 requires cairo.h

Post by spicerun » Wed Oct 12, 2005 3:41 pm

Just want to give you guys a heads up. I may post to the maillist tonight to also post this since I didn't see any provisions in the CVS repository for wxGTK when I was just now browsing it (unless you guys think it is a big mistake for me to do so).

gtk+ version 2.86 now needs cairo.h included in the build which is referenced in wxGTK. I was able to compile wxWidgets after adding the -I/usr/include/cairo directory to the include paths in the Makefile.

I found this after updating gentoo yesterday which added the gtk+-2.86 package and the cairo library package as well (gnome-2.12 is now unmasked for unstable gentoo as well). I imagine this path will have to be added to the Makefile.in or Makefile.ac files very soon. The good news is once I put this path in the Makefile, and built my other applications, everything worked like it did before.

On another note, the bug I'm still working with with the ShowModal function on the OpenFileDialog is still present with this new gtk and new gnome-vfs packages from Gentoo.

I apologize if this has already been noted and fixed.

My specifics: wxWidgets-2.6.2 using wxGTK port, gcc-4.0.2, Gentoo Linux distribution.

leio
Can't get richer than this
Can't get richer than this
Posts: 802
Joined: Mon Dec 27, 2004 10:46 am
Location: Estonia, Tallinn
Contact:

Re: New gtk+-2.86 requires cairo.h

Post by leio » Wed Oct 12, 2005 5:56 pm

spicerun wrote:gtk+ version 2.86 now needs cairo.h included in the build which is referenced in wxGTK. I was able to compile wxWidgets after adding the -I/usr/include/cairo directory to the include paths in the Makefile.
Did you use configure?
It uses the standard ways for retrieving the necessary gtk+ includes, and those very well have the cairo include dir in it.
Did you re-configure (with ./config.status --recheck;./config.status for example) wxGTK after upgrading gtk+? If you didn't, it has the old configuration, and does not include -I/usr/include/cairo obviously.
spicerun wrote:I found this after updating gentoo yesterday which added the gtk+-2.86 package and the cairo library package as well (gnome-2.12 is now unmasked for unstable gentoo as well). I imagine this path will have to be added to the Makefile.in or Makefile.ac files very soon. The good news is once I put this path in the Makefile, and built my other applications, everything worked like it did before.
I've been using gtk+-2.8 for a long time (ever since gtk2.7.4 or so), and made sure all gtk2.8 related fixes made it into wxGTK-2.6.2. Currently I'm working on top of gtk+ CVS, the thing that'll become 2.9.0 in the future.
spicerun wrote:On another note, the bug I'm still working with with the ShowModal function on the OpenFileDialog is still present with this new gtk and new gnome-vfs packages from Gentoo.
That's bad to hear :(
Compilers: gcc-3.3.6, gcc-3.4.5, gcc-4.0.2, gcc-4.1.0 and MSVC6
OS's: Gentoo Linux, WinXP; WX: CVS HEAD

Project Manager of wxMUD - http://wxmud.sf.net/
Developer of wxGTK;
gtk+ port maintainer of OMGUI - http://www.omgui.org/

spicerun
Earned a small fee
Earned a small fee
Posts: 24
Joined: Thu Aug 04, 2005 8:14 pm
Location: Dallas Texas

Re: New gtk+-2.86 requires cairo.h

Post by spicerun » Wed Oct 12, 2005 7:04 pm

leio wrote: Did you use configure?
It uses the standard ways for retrieving the necessary gtk+ includes, and those very well have the cairo include dir in it.
Did you re-configure (with ./config.status --recheck;./config.status for example) wxGTK after upgrading gtk+? If you didn't, it has the old configuration, and does not include -I/usr/include/cairo obviously.

You are correct. If had I done the ./configure, just like I did just now, and tested, it would have not been a problem as cairo.h would have automatically been picked up in the Makefile. Sorry.

Thanks for the help.

spicerun
Earned a small fee
Earned a small fee
Posts: 24
Joined: Thu Aug 04, 2005 8:14 pm
Location: Dallas Texas

Re: New gtk+-2.86 requires cairo.h

Post by spicerun » Thu Feb 16, 2006 3:55 am

leio wrote:
spicerun wrote:On another note, the bug I'm still working with with the ShowModal function on the OpenFileDialog is still present with this new gtk and new gnome-vfs packages from Gentoo.
That's bad to hear :(
Thought I would follow up that with wxWidgets-2.6.3-rc1, this problem is apparently cleared up. the standard GTK dialog now shows up on OpenFileDialog without segfaults (at least on my system), even if it is slightly slow in coming up.

Thanks

leio
Can't get richer than this
Can't get richer than this
Posts: 802
Joined: Mon Dec 27, 2004 10:46 am
Location: Estonia, Tallinn
Contact:

Post by leio » Fri Feb 17, 2006 8:12 am

Would be nice to know if the GTK+ or wxGTK upgrade helped. If GTK+, then a workaround for other systems might be good. We've been doing workarounds for some weird broken development version of GTK+ too (GTK+-2.1.x, no less), that some Solaris figured to happily ship with a release still.

As for the dialog appearing speed. Subsequent releases of GTK+-2.8 have many optimization in it (GtkFileChooser), so if you're using GTK+-2.8.7 or newer, you should be better. You'd be quite good when using the pango 1.11 development series, that has seen lots of optimizations. Stable 1.12 will be out soon too, for GNOME-2.14 which will depend on it (beta 2 just happened two days ago, RC on 1st March, release 15th).


For the extremely curious:

http://primates.ximian.com/~federico/do ... img12.html
http://primates.ximian.com/~federico/ne ... -profile-1
http://primates.ximian.com/~federico/ne ... -profile-2
http://primates.ximian.com/~federico/ne ... -profile-3
http://primates.ximian.com/~federico/ne ... -profile-4
http://primates.ximian.com/~federico/ne ... -profile-5
http://primates.ximian.com/~federico/ne ... -profile-6
http://primates.ximian.com/~federico/ne ... -profile-7
http://primates.ximian.com/~federico/ne ... -profile-8
http://primates.ximian.com/~federico/ne ... -profile-9
Compilers: gcc-3.3.6, gcc-3.4.5, gcc-4.0.2, gcc-4.1.0 and MSVC6
OS's: Gentoo Linux, WinXP; WX: CVS HEAD

Project Manager of wxMUD - http://wxmud.sf.net/
Developer of wxGTK;
gtk+ port maintainer of OMGUI - http://www.omgui.org/

Post Reply